local monocle = require("#monocle")

local vector2 = require("#microsoft.xna.framework.vector2")

function onBegin()
  disableMovement()
  disableRetry()
  player.ForceCameraUpdate = false
  wait(2)
  say("Donk_Ch2_Intro")
  engine.Scene:NextColorGrade("Donker19/LackOfInsiration/0_BlackFade")
  wait(2)
  setFlag("donk_FadeInPlanet2", true)
  engine.Scene:NextColorGrade("feelingdown")
  wait(1)
  say("Donk_Ch2_Intro2")
  enablePause()
  enableMovement()
end

function onEnd(room, wasSkipped)
  enableMovement()
  engine.Scene:NextColorGrade("feelingdown")
  setFlag("donk_FadeInPlanet2", true)
  player.DummyAutoAnimate = true
  player.ForceCameraUpdate = true
  getLevel():ResetZoom()
  enableMovement()
end